Cannot remove mod_proxy

Lor

Well-Known Member
Apr 29, 2005
60
0
156
I try to remove mod_proxy using EasyApache. But I can't:

"Your selection removed ea-apache24-mod_mpm_event. An MPM package must exist on your system. Click “Continue” to select a new MPM package. Click “Cancel” to cancel this operation."

Is it any selection of MPM required mod_proxy?

See screenshot.
 

Attachments

cPanelLauren

Forums Analyst II
Staff member
Nov 14, 2017
6,777
536
263
Houston
cPanel Access Level
DataCenter Provider
We require mod_proxy and mod_proxy_http in order for cPanel and its service subdomains to work and as such they're unable to be removed, why were you looking to remove them?
 

cPanelLauren

Forums Analyst II
Staff member
Nov 14, 2017
6,777
536
263
Houston
cPanel Access Level
DataCenter Provider
We use ProxyPass but this doesn't mean you have to allow Apache from functioning as a foward or even an open proxy which is where the security concern would originate from and this is not enabled by default. I'd suggest reading the mod_proxy documentation from apache here:
mod_proxy - Apache HTTP Server
mod_proxy - Apache HTTP Server